cancel
Showing results for 
Search instead for 
Did you mean: 

How to upgrade Magento 2.1.2 to Magento 2.2.3

How to upgrade Magento 2.1.2 to Magento 2.2.3

I'm currently working on a project to upgrade my website from Magento 2.1.2 to Magento 2.2.3. 

 

Is there any easy way to do this without committing any errors because I already have almost thousands of products included in my database and i don't want to start from scratch again? 

 

Help need highly appreciated. 

 

Here's my skype id: live:23d10da237d94edb

Here's my facebook: www.facebook.com/joereassis

 

I'm using Magento Commerce Version 2.1.2

 

- Just send me a message

 

8 REPLIES

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

Yes !! you can easily update your magento 2.1.12 website to 2.2.3 version.

 

Below is the details steps for that !! run each command sequentially.

 

  1. php bin/magento maintenance:enable
  2. composer require magento/product-community-edition 2.2.3 --no-update
  3. composer update
  4. rm -rf var/cache/*
  5. rm -rf var/page_cache/*
  6. rm -rf generated
  7. php bin/magento setup:upgrade
  8. php bin/magento setup:di:compile
  9. php bin/magento cache:clean and php bin/magento cache:flush command
  10. bin/magento maintenance:disable

It will works !!

 

Note : Make sure if you have any third party extension that is compatible with the latest version of magento 2.2.3 or download it and update it for the same. 

 

Its good to take a backup before doing any update Smiley Happy

if issue solved,Click Kudos & Accept as Solution

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

Just to add that before you perform the upgrade, it may be wise to take a complete backup of your files and database so if you did face any issues, you can roll back to the previous state with your backup. 

 

Never ever perform important tasks like upgrade or extension installations without taking a backup first.

James Lee | Moderator • Magento Master
See My Recommended Magento Hosting & Security Tips

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

Hey guys,

I also try to update magento 2.2.0 to 2.2.3, but getting error

[InvalidArgumentException]
Could not find a matching version of package magento/product-community-edit
ion. Check the package spelling, your version constraint and that the packa
ge is available in a stability which matches your minimum-stability (RC).

I run below command

bin/magento maintenance:enable
composer require magento/product-community-edition 2.2.3 --no-update

 

Tags (2)

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

Hello @Patel_Chirag

 

Please share your composer.json code.

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

@Sunil Patel

Please check here is my code.

{
    "name": "magento/magento2ce",
    "description": "Magento 2 (Community Edition)",
    "type": "project",
    "version": "2.2.0-dev",
    "license": [
        "OSL-3.0",
        "AFL-3.0"
    ],
    "require": {
        "php": "7.0.2|7.0.4|~7.0.6|~7.1.0",
        "zendframework/zend-stdlib": "^2.7.7",
        "zendframework/zend-code": "^3.1.0",
        "zendframework/zend-server": "^2.6.1",
        "zendframework/zend-soap": "^2.6.0",
        "zendframework/zend-uri": "^2.5.1",
        "zendframework/zend-validator": "^2.6.0",
        "zendframework/zend-crypt": "^2.6.0",
        "zendframework/zend-console": "^2.6.0",
        "zendframework/zend-modulemanager": "^2.7",
        "zendframework/zend-mvc": "~2.6.3",
        "zendframework/zend-text": "^2.6.0",
        "zendframework/zend-i18n": "^2.7.3",
        "zendframework/zend-eventmanager": "^2.6.3",
        "zendframework/zend-view": "^2.8.1",
        "zendframework/zend-servicemanager": "^2.7.8",
        "zendframework/zend-json": "^2.6.1",
        "zendframework/zend-config": "^2.6.0",
        "zendframework/zend-form": "^2.10.0",
        "zendframework/zend-di": "^2.6.1",
        "zendframework/zend-serializer": "^2.7.2",
        "zendframework/zend-log": "^2.9.1",
        "zendframework/zend-http": "^2.6.0",
        "zendframework/zend-db": "^2.8.2",
        "zendframework/zend-captcha": "^2.7.1",
        "zendframework/zend-session": "^2.7.3",
        "magento/zendframework1": "~1.13.0",
        "colinmollenhour/credis": "1.6",
        "colinmollenhour/php-redis-session-abstract": "~1.2.2",
        "colinmollenhour/cache-backend-redis": "1.10.2",
        "colinmollenhour/cache-backend-file": "1.4",
        "composer/composer": "1.4.1",
        "monolog/monolog": "^1.17",
        "oyejorge/less.php": "~1.7.0",
        "pelago/emogrifier": "0.1.1",
        "tubalmartin/cssmin": "4.1.0",
        "magento/magento-composer-installer": ">=0.1.11",
        "braintree/braintree_php": "3.22.0",
        "symfony/console": "~2.3, !=2.7.0",
        "symfony/event-dispatcher": "~2.1",
        "symfony/process": "~2.1",
        "phpseclib/phpseclib": "2.0.*",
        "tedivm/jshrink": "~1.1.0",
        "magento/composer": "~1.2.0",
        "lib-libxml": "*",
        "ext-ctype": "*",
        "ext-gd": "*",
        "ext-spl": "*",
        "ext-dom": "*",
        "ext-simplexml": "*",
        "ext-mcrypt": "*",
        "ext-hash": "*",
        "ext-curl": "*",
        "ext-iconv": "*",
        "ext-intl": "*",
        "ext-xsl": "*",
        "ext-mbstring": "*",
        "ext-openssl": "*",
        "ext-zip": "*",
        "ext-pdo_mysql": "*",
        "ext-soap": "*",
        "sjparkinson/static-review": "~4.1",
        "ramsey/uuid": "3.6.1"
    },
    "require-dev": {
        "phpunit/phpunit": "~6.2.0",
        "squizlabs/php_codesniffer": "3.0.1",
        "phpmd/phpmd": "@stable",
        "pdepend/pdepend": "2.5.0",
        "friendsofphp/php-cs-fixer": "~2.1.1",
        "lusitanian/oauth": "~0.8.10",
        "sebastian/phpcpd": "2.0.4"
    },
    "replace": {
        "magento/module-marketplace": "100.2.0-dev",
        "magento/module-admin-notification": "100.2.0-dev",
        "magento/module-advanced-pricing-import-export": "100.2.0-dev",
        "magento/module-authorization": "100.2.0-dev",
        "magento/module-authorizenet": "100.2.0-dev",
        "magento/module-backend": "100.2.0-dev",
        "magento/module-backup": "100.2.0-dev",
        "magento/module-braintree": "100.2.0-dev",
        "magento/module-bundle": "100.2.0-dev",
        "magento/module-bundle-import-export": "100.2.0-dev",
        "magento/module-cache-invalidate": "100.2.0-dev",
        "magento/module-captcha": "100.2.0-dev",
        "magento/module-catalog": "101.1.0-dev",
        "magento/module-catalog-import-export": "100.2.0-dev",
        "magento/module-catalog-inventory": "100.2.0-dev",
        "magento/module-catalog-rule": "100.2.0-dev",
        "magento/module-catalog-rule-configurable": "100.2.0-dev",
        "magento/module-catalog-search": "100.2.0-dev",
        "magento/module-catalog-url-rewrite": "100.2.0-dev",
        "magento/module-catalog-widget": "100.2.0-dev",
        "magento/module-checkout": "100.2.0-dev",
        "magento/module-checkout-agreements": "100.2.0-dev",
        "magento/module-cms": "101.1.0-dev",
        "magento/module-cms-url-rewrite": "100.2.0-dev",
        "magento/module-config": "100.2.0-dev",
        "magento/module-configurable-import-export": "100.2.0-dev",
        "magento/module-configurable-product": "100.2.0-dev",
        "magento/module-contact": "100.2.0-dev",
        "magento/module-cookie": "100.2.0-dev",
        "magento/module-cron": "100.2.0-dev",
        "magento/module-currency-symbol": "100.2.0-dev",
        "magento/module-customer": "100.2.0-dev",
        "magento/module-customer-import-export": "100.2.0-dev",
        "magento/module-deploy": "100.2.0-dev",
        "magento/module-developer": "100.2.0-dev",
        "magento/module-dhl": "100.2.0-dev",
        "magento/module-directory": "100.2.0-dev",
        "magento/module-downloadable": "100.2.0-dev",
        "magento/module-downloadable-import-export": "100.2.0-dev",
        "magento/module-eav": "100.2.0-dev",
        "magento/module-email": "100.2.0-dev",
        "magento/module-encryption-key": "100.2.0-dev",
        "magento/module-fedex": "100.2.0-dev",
        "magento/module-gift-message": "100.2.0-dev",
        "magento/module-google-adwords": "100.2.0-dev",
        "magento/module-google-analytics": "100.2.0-dev",
        "magento/module-google-optimizer": "100.2.0-dev",
        "magento/module-grouped-import-export": "100.2.0-dev",
        "magento/module-grouped-product": "100.2.0-dev",
        "magento/module-import-export": "100.2.0-dev",
        "magento/module-indexer": "100.2.0-dev",
        "magento/module-integration": "100.2.0-dev",
        "magento/module-layered-navigation": "100.2.0-dev",
        "magento/module-media-storage": "100.2.0-dev",
        "magento/module-msrp": "100.2.0-dev",
        "magento/module-multishipping": "100.2.0-dev",
        "magento/module-new-relic-reporting": "100.2.0-dev",
        "magento/module-newsletter": "100.2.0-dev",
        "magento/module-offline-payments": "100.2.0-dev",
        "magento/module-offline-shipping": "100.2.0-dev",
        "magento/module-page-cache": "100.2.0-dev",
        "magento/module-payment": "100.2.0-dev",
        "magento/module-paypal": "100.2.0-dev",
        "magento/module-persistent": "100.2.0-dev",
        "magento/module-product-alert": "100.2.0-dev",
        "magento/module-product-video": "100.2.0-dev",
        "magento/module-quote": "100.2.0-dev",
        "magento/module-reports": "100.2.0-dev",
        "magento/module-require-js": "100.2.0-dev",
        "magento/module-review": "100.2.0-dev",
        "magento/module-robots": "100.2.0-dev",
        "magento/module-rss": "100.2.0-dev",
        "magento/module-rule": "100.2.0-dev",
        "magento/module-sales": "100.2.0-dev",
        "magento/module-sales-inventory": "100.2.0-dev",
        "magento/module-sales-rule": "100.2.0-dev",
        "magento/module-sales-sequence": "100.2.0-dev",
        "magento/module-sample-data": "100.2.0-dev",
        "magento/module-search": "100.2.0-dev",
        "magento/module-security": "100.2.0-dev",
        "magento/module-send-friend": "100.2.0-dev",
        "magento/module-shipping": "100.2.0-dev",
        "magento/module-sitemap": "100.2.0-dev",
        "magento/module-store": "100.2.0-dev",
        "magento/module-swagger": "100.2.0-dev",
        "magento/module-swatches": "100.2.0-dev",
        "magento/module-swatches-layered-navigation": "100.2.0-dev",
        "magento/module-tax": "100.2.0-dev",
        "magento/module-tax-import-export": "100.2.0-dev",
        "magento/module-theme": "100.2.0-dev",
        "magento/module-translation": "100.2.0-dev",
        "magento/module-ui": "100.2.0-dev",
        "magento/module-ups": "100.2.0-dev",
        "magento/module-url-rewrite": "100.2.0-dev",
        "magento/module-user": "100.2.0-dev",
        "magento/module-usps": "100.2.0-dev",
        "magento/module-variable": "100.2.0-dev",
        "magento/module-vault": "100.2.0-dev",
        "magento/module-version": "100.2.0-dev",
        "magento/module-webapi": "100.2.0-dev",
        "magento/module-webapi-security": "100.2.0-dev",
        "magento/module-weee": "100.2.0-dev",
        "magento/module-widget": "100.2.0-dev",
        "magento/module-wishlist": "100.2.0-dev",
        "magento/theme-adminhtml-backend": "100.2.0-dev",
        "magento/theme-frontend-blank": "100.2.0-dev",
        "magento/theme-frontend-luma": "100.2.0-dev",
        "magento/language-de_de": "100.2.0-dev",
        "magento/language-en_us": "100.2.0-dev",
        "magento/language-es_es": "100.2.0-dev",
        "magento/language-fr_fr": "100.2.0-dev",
        "magento/language-nl_nl": "100.2.0-dev",
        "magento/language-pt_br": "100.2.0-dev",
        "magento/language-zh_hans_cn": "100.2.0-dev",
        "magento/framework": "100.2.0-dev",
        "trentrichardson/jquery-timepicker-addon": "1.4.3",
        "components/jquery": "1.11.0",
        "blueimp/jquery-file-upload": "5.6.14",
        "components/jqueryui": "1.10.4",
        "twbs/bootstrap": "3.1.0",
        "tinymce/tinymce": "3.4.7"
    },
    "extra": {
        "component_paths": {
            "trentrichardson/jquery-timepicker-addon": "lib/web/jquery/jquery-ui-timepicker-addon.js",
            "components/jquery": [
                "lib/web/jquery.js",
                "lib/web/jquery/jquery.min.js",
                "lib/web/jquery/jquery-migrate.js"
            ],
            "blueimp/jquery-file-upload": "lib/web/jquery/fileUploader",
            "components/jqueryui": [
                "lib/web/jquery/jquery-ui.js"
            ],
            "twbs/bootstrap": [
                "lib/web/jquery/jquery.tabs.js"
            ],
            "tinymce/tinymce": "lib/web/tiny_mce"
        }
    },
    "autoload": {
        "psr-4": {
            "Magento\\Framework\\": "lib/internal/Magento/Framework/",
            "Magento\\Setup\\": "setup/src/Magento/Setup/",
            "Magento\\": "app/code/Magento/"
        },
        "psr-0": {
            "": [
                "app/code/"
            ]
        },
        "files": [
            "app/etc/NonComposerComponentRegistration.php"
        ],
        "exclude-from-classmap": [
            "**/dev/**",
            "**/update/**",
            "**/Test/**"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Magento\\Sniffs\\": "dev/tests/static/framework/Magento/Sniffs/",
            "Magento\\Tools\\": "dev/tools/Magento/Tools/",
            "Magento\\Tools\\Sanity\\": "dev/build/publication/sanity/Magento/Tools/Sanity/",
            "Magento\\TestFramework\\Inspection\\": "dev/tests/static/framework/Magento/TestFramework/Inspection/",
            "Magento\\TestFramework\\Utility\\": "dev/tests/static/framework/Magento/TestFramework/Utility/"
        }
    },
    "minimum-stability": "RC",
    "prefer-stable": true
}

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

Please try with below way,

Edit composer.json file from root,

change value like,

"version": "2.1.2" to "version": "2.2.3",

second changes,

 "magento/product-community-edition": "2.1.2"  to  "magento/product-community-edition": "2.2.3"

Run command from magento root,

composer update

 

If Issue Solved, Click Kudos/Accept As solutions.

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

@Patel_Chirag

 

seems like you are using very old composer.json

 

{
    "name": "magento/project-community-edition",
    "description": "eCommerce Platform for Growth (Community Edition)",
    "type": "project",
    "version": "2.2.4",
    "license": [
        "OSL-3.0",
        "AFL-3.0"
    ],
    "require": {
        "magento/product-community-edition": "2.2.4",
        "composer/composer": "@alpha"
    },
    "require-dev": {
        "phpunit/phpunit": "~6.2.0",
        "squizlabs/php_codesniffer": "3.2.2",
        "phpmd/phpmd": "@stable",
        "pdepend/pdepend": "2.5.2",
        "friendsofphp/php-cs-fixer": "~2.2.1",
        "lusitanian/oauth": "~0.8.10",
        "sebastian/phpcpd": "2.0.4"
    },
    "autoload": {
        "psr-4": {
            "Magento\\Framework\\": "lib/internal/Magento/Framework/",
            "Magento\\Setup\\": "setup/src/Magento/Setup/",
            "Magento\\": "app/code/Magento/"
        },
        "psr-0": {
            "": [
                "app/code/"
            ]
        },
        "files": [
            "app/etc/NonComposerComponentRegistration.php"
        ],
        "exclude-from-classmap": [
            "**/dev/**",
            "**/update/**",
            "**/Test/**"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Magento\\Sniffs\\": "dev/tests/static/framework/Magento/Sniffs/",
            "Magento\\Tools\\": "dev/tools/Magento/Tools/",
            "Magento\\Tools\\Sanity\\": "dev/build/publication/sanity/Magento/Tools/Sanity/",
            "Magento\\TestFramework\\Inspection\\": "dev/tests/static/framework/Magento/TestFramework/Inspection/",
            "Magento\\TestFramework\\Utility\\": "dev/tests/static/framework/Magento/TestFramework/Utility/"
        }
    },
    "minimum-stability": "stable",
    "repositories": [
        {
            "type": "composer",
            "url": "https://repo.magento.com/"
        }
    ],
    "extra": {
        "magento-force": "override"
    }
}

Here you also need to your custom extension repo name as well.

 

Hope it will help you.

 

 

Re: How to upgrade Magento 2.1.2 to Magento 2.2.3

You may want to see:

https://youtu.be/w1Ryu9_E7J8

https://youtu.be/ab2ybeV3hSw

 

Don't forget to make a backup in any case Smiley Happy

 

Magento 2 Essential Video Training

URL: magento2tuts.com